create table "events" (
    "id" integer not null default nextval('uid_seq'),
    "uuid" uuid not null, -- unique string
    "type" smallint not null default 1, --1
    "state" integer not null default 0,
    "owner_id" integer not null,
    "is_opened" bool not null default true,
    "is_published" bool not null default false,
    "start" timestamp(0),
    "finish" timestamp(0),
    "deleted" timestamp(0),
    "name" text not null,
    "description" text,
    "organizer" text,
    "stream_url" text, -- externi stream
    primary key("id"),
    unique("uuid"),
    foreign key ("owner_id") references "users" ("id") on update cascade on delete restrict
);

create table "events_acl" (
    "id" integer not null default nextval('uid_seq'),
    "event_id" integer not null,
    "subject_class" varchar(8) not null,
    "subject" text not null,
    "role" text,
    primary key("id"),
    unique("event_id", "subject_class", "subject"),
    foreign key ("event_id") references "events" ("id") on update cascade on delete cascade
);

alter table "program" add column "event_id" integer;
